DockPanel (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.gui.dock
Interface DockPanel

All Known Implementing Classes:
  BasicDockPanel, DockMapPanel

    public interface DockPanel

An interface onto a component that has a background component and docking children.

Since:
  12/5/02
Version:
  $Revision: 1.5 $ on $Date: 2004/10/14 18:05:49 $
Author:
  Ben Lubin

Field Summary
`static java.lang.String` | `BACKGROUND` Constraint for the background component

Method Summary
`void` | `dock(javax.swing.JComponent outter, javax.swing.JComponent inner)` Dock the given child onto the given parent, which is itself a child.
`void` | `dock(javax.swing.JComponent outter, javax.swing.JComponent inner, int idx)` Dock the given child onto the given parent, which is itself a child.
`void` | `dockEast(javax.swing.JComponent child)` Dock child on the DockPanel.
`void` | `dockEast(javax.swing.JComponent child, int idx)` Dock the given child into the given position on the DockPanel
`void` | `dockNorth(javax.swing.JComponent child)` Dock child on the DockPanel.
`void` | `dockNorth(javax.swing.JComponent child, int idx)` Dock the given child into the given position on the DockPanel
`void` | `dockSomewhere(javax.swing.JComponent child)` Dock the given child somewhere on the DockPanel.
`void` | `dockSouth(javax.swing.JComponent child)` Dock child on the DockPanel.
`void` | `dockSouth(javax.swing.JComponent child, int idx)` Dock the given child into the given position on the DockPanel
`void` | `dockWest(javax.swing.JComponent child)` Dock child on the DockPanel.
`void` | `dockWest(javax.swing.JComponent child, int idx)` Dock the given child into the given position on the DockPanel
`void` | `externalFrame(javax.swing.JComponent child)` Set the component to an external frame
`javax.swing.JComponent` | `getBackgroundComponent()` Get the background component.
`DockConstraint` | `getConstraint(javax.swing.JComponent child)` Get the constraint on the given child.
`void` | `internalFrame(javax.swing.JComponent child)` Set the component to an internal frame
`void` | `removeConstraint(javax.swing.JComponent child)` Remove a constraint on a child.
`void` | `setBackgroundComponent(javax.swing.JComponent back)` Set the background component.
`void` | `setCanClose(javax.swing.JComponent child, boolean b)` Set that the child can be closed.
`void` | `setCanDockEast(javax.swing.JComponent child, boolean b)` Set that the child can dock on the top-level east.
`void` | `setCanDockNorth(javax.swing.JComponent child, boolean b)` Set that the child can dock on the top-level north.
`void` | `setCanDockSouth(javax.swing.JComponent child, boolean b)` Set that the child can dock on the top-level south.
`void` | `setCanDockWest(javax.swing.JComponent child, boolean b)` Set that the child can dock on the top-level west.
`void` | `setCanExternalFrame(javax.swing.JComponent child, boolean b)` Set that the child can be become an external frame.
`void` | `setCanInternalFrame(javax.swing.JComponent child, boolean b)` Set that the child can be become an internal frame.
`void` | `setCanOcclude(javax.swing.JComponent child, boolean b)` Set that the given child can sit in front of the background component, without forcing the background component to be resized to make room.
`void` | `setCanResize(javax.swing.JComponent child, boolean b)` Set that the child component can be user-resized.
`void` | `setCanTab(javax.swing.JComponent child, boolean b)` Set that the child component can be tabbed up, if docked in the same location as other tab-able components.
`void` | `setCanTransparent(javax.swing.JComponent child, boolean b)` Set the child component to have a transparent background.
`void` | `setConstraint(javax.swing.JComponent child, DockConstraint c)` Set the constraint on the given child.
`void` | `setPreferredHeight(javax.swing.JComponent child, int i)` Set the childs preferred height.
`void` | `setPreferredWidth(javax.swing.JComponent child, int i)` Set the childs preferred width.
`void` | `setTabName(javax.swing.JComponent child, java.lang.String tabName)` Set the name of the tab to use when the component is tabbed (if it can tab).

Field Detail

### BACKGROUND

    static final java.lang.String BACKGROUND

  Constraint for the background component

  See Also:
    Constant Field Values

Method Detail

### getBackgroundComponent

    javax.swing.JComponent getBackgroundComponent()

  Get the background component.

### setBackgroundComponent

    void setBackgroundComponent(javax.swing.JComponent back)

  Set the background component.

### setConstraint

    void setConstraint(javax.swing.JComponent child,
                       DockConstraint c)

  Set the constraint on the given child.

### getConstraint

    DockConstraint getConstraint(javax.swing.JComponent child)

  Get the constraint on the given child.

### removeConstraint

    void removeConstraint(javax.swing.JComponent child)

  Remove a constraint on a child.

### setPreferredHeight

    void setPreferredHeight(javax.swing.JComponent child,
                            int i)

  Set the childs preferred height.

### setPreferredWidth

    void setPreferredWidth(javax.swing.JComponent child,
                           int i)

  Set the childs preferred width.

### setCanOcclude

    void setCanOcclude(javax.swing.JComponent child,
                       boolean b)

  Set that the given child can sit in front of the background component, without forcing the background component to be resized to make room.

### setCanTransparent

    void setCanTransparent(javax.swing.JComponent child,
                           boolean b)

  Set the child component to have a transparent background.

### setCanResize

    void setCanResize(javax.swing.JComponent child,
                      boolean b)

  Set that the child component can be user-resized.

### setCanTab

    void setCanTab(javax.swing.JComponent child,
                   boolean b)

  Set that the child component can be tabbed up, if docked in the same location as other tab-able components.

### setTabName

    void setTabName(javax.swing.JComponent child,
                    java.lang.String tabName)

  Set the name of the tab to use when the component is tabbed (if it can tab). If unspecified, defaults to Component.getName()

### setCanExternalFrame

    void setCanExternalFrame(javax.swing.JComponent child,
                             boolean b)

  Set that the child can be become an external frame.

### setCanInternalFrame

    void setCanInternalFrame(javax.swing.JComponent child,
                             boolean b)

  Set that the child can be become an internal frame.

### setCanClose

    void setCanClose(javax.swing.JComponent child,
                     boolean b)

  Set that the child can be closed.

### setCanDockNorth

    void setCanDockNorth(javax.swing.JComponent child,
                         boolean b)

  Set that the child can dock on the top-level north.

### setCanDockSouth

    void setCanDockSouth(javax.swing.JComponent child,
                         boolean b)

  Set that the child can dock on the top-level south.

### setCanDockEast

    void setCanDockEast(javax.swing.JComponent child,
                        boolean b)

  Set that the child can dock on the top-level east.

### setCanDockWest

    void setCanDockWest(javax.swing.JComponent child,
                        boolean b)

  Set that the child can dock on the top-level west.

### dockNorth

    void dockNorth(javax.swing.JComponent child)

  Dock child on the DockPanel.

### dockNorth

    void dockNorth(javax.swing.JComponent child,
                   int idx)

  Dock the given child into the given position on the DockPanel

### dockSouth

    void dockSouth(javax.swing.JComponent child)

  Dock child on the DockPanel.

### dockSouth

    void dockSouth(javax.swing.JComponent child,
                   int idx)

  Dock the given child into the given position on the DockPanel

### dockEast

    void dockEast(javax.swing.JComponent child)

  Dock child on the DockPanel.

### dockEast

    void dockEast(javax.swing.JComponent child,
                  int idx)

  Dock the given child into the given position on the DockPanel

### dockWest

    void dockWest(javax.swing.JComponent child)

  Dock child on the DockPanel.

### dockWest

    void dockWest(javax.swing.JComponent child,
                  int idx)

  Dock the given child into the given position on the DockPanel

### dockSomewhere

    void dockSomewhere(javax.swing.JComponent child)

  Dock the given child somewhere on the DockPanel.

### dock

    void dock(javax.swing.JComponent outter,
              javax.swing.JComponent inner)

  Dock the given child onto the given parent, which is itself a child.

### dock

    void dock(javax.swing.JComponent outter,
              javax.swing.JComponent inner,
              int idx)

  Dock the given child onto the given parent, which is itself a child.

### internalFrame

    void internalFrame(javax.swing.JComponent child)

  Set the component to an internal frame

### externalFrame

    void externalFrame(javax.swing.JComponent child)

  Set the component to an external frame

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details